<%
'*************************************************************************
' Function : Language definitions. The default definitions can be 
'          : replaced with your own.
' Product  : Shopping Tree Store Frontend
' Version  : 3.2
' Modified : January 2005
' Copyright: Copyright (C) 2004 Shopping Tree.Com 
'            See "license.txt" for this product for details regarding 
'            licensing, usage, disclaimers, distribution and general 
'            copyright requirements. If you don't have a copy of this 
'            file, you may request one at webmaster@ShoppingTree.com
'*************************************************************************
'	Date						Description
' 04/17/06	Store default language error fixed
'
'*************************************************************************
dim language
dim selectedLang
dim rsLang

language = request.cookies("language")
if  len(language) = 0 or IsNull(language) then 
	response.cookies("language") = languageDefault
	response.cookies("language").expires = dateAdd("d",30,now())
	response.cookies("language").path = "/"
	language = languageDefault	
	session("language") = language
else 
	session("language") = language
end if


selectedLang = request.Form("language")
if len(selectedLang) > 0 then
	session("language") = selectedLang
	response.cookies("language") = selectedLang
	response.Cookies("language").expires = dateAdd("d",30,now())
else
	selectedLang= request.QueryString("language")
	if len(selectedLang) <> 0 then 
		session("language") = selectedLang
		response.cookies("language") = selectedLang
		response.Cookies("language").expires = dateAdd("d",30,now())
	end if
end if	

'*********************************************************************
'Language Text Display
'*********************************************************************
function LangText(LangKey,sDefault)
dim language
dim iRow

	language = request.cookies("language")
	if language = "" then language = languageDefault

	mySQL = "SELECT PhraseText " _
	      & "FROM Language_" & language _
	      & " WHERE PhraseKey = '" & validSQL(LangKey,"A") & "';"
	      
	set rsLang = openRSexecute(mySQL)
	if not rsLang.eof then
		LangText = rsLang("PhraseText")
	else	
		mySQL = "INSERT INTO Language_" & Language & " (PhraseKey, PhraseText, PhraseLongText) " _
		      & " VALUES ('" _
			  & validSQL(LangKey,"A") & "','" _
			  & validSQL(sDefault,"A") & "', NULL)"
		set rsLang = openRSexecute(mySQL)
		LangText = sDefault
	end if

end function

'******************************************************************************
' Get language fields for product
'*******************************************************************************
function langProduct(idProduct,fieldName,default)
	dim language 
	dim rsLang
	
	language = session("language")
	' if default language has not been defined
	if language = "" or language = languageDefault then
	   language = languageDefault
	   langProduct = default
	end if
	
	'find idLang
	mySQL = "Select " & fieldName & " FROM Language_Products WHERE idLang = '" & language & "_" & idProduct & "'"
	set rsLang = openRSexecute(mySQL)
	
	if not rsLang.eof then
		langProduct = rsLang(fieldName)
		closeRS(rsLang)
	else
		'langProduct = ucase(mid(fieldName,1,1)) & mid(fieldName, 2) & " not defined."
		'Use the default value
		langProduct = default
		closeRS(rsLang)
	end if

end function

'******************************************************************************
' Get language fields for Categories
'*******************************************************************************
function langCategory(idCategory,fieldName,default)
	dim language 
	dim rsLang
	
	language = session("language")
	' if default language has not been defined
	if language = "" or language = languageDefault then
	   language = languageDefault
	   langCategory = default
	end if
	
	'find idLang
	mySQL = "Select " & fieldName & " FROM Language_Categories WHERE idLang = '" & language & "_" & idCategory & "'"
	set rsLang = openRSexecute(mySQL)
	
	if not rsLang.eof then
		langCategory = rsLang(fieldName)
		closeRS(rsLang)
	else
		'Use the default value
		langCategory = default
		closeRS(rsLang)
	end if

end function


'*******************************************************************************
'* If more than one language is installed then display a selection box
'*
'*******************************************************************************
sub langSupport()
	dim language
	dim protocol
	dim rsLang1
	protocol = "http://"
	
	language = session("language")
	
	'get the protocol being used
	if lCase(request.servervariables("HTTPS")) = "on" then protocol = "https://"
	
	mySQL = "SELECT idLang, name FROM Languages_Known"
	set rsLang1 = openRSopen(mySQL,0,adOpenStatic,adLockReadOnly,adCmdText,0)	
	if rsLang1.recordcount > 1 then
%>
		<form method="POST" action="<%=protocol%><%=request.ServerVariables("HTTP_HOST")%><%=request.ServerVariables("URL")%>?<%=request.ServerVariables("QUERY_STRING")%>" name="LangChange">
		<b><%=LangText("GenLanguage","Language")%></b><br>
		<select class="language" name="language" onchange="this.form.submit();">
<%
		do while not rsLang1.eof 
%>
			<option value="<%=rsLang1("idLang")%>"  <%=checkMatch(language,rsLang1("idLang"))%> ><%=rsLang1("Name")%></option>
<%			rsLang1.movenext
		loop
		closeRS(rsLang1)
%>
		</select> 
		</form>

<%
	end if
end sub
%>